%define upstream_name Test-Warnings
%define upstream_version 0.031

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2
Summary:    Test for warnings and the lack of them
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/E/ET/ETHER/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Test::Builder)
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(if)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module is intended to be used as a drop-in replacement for
Test::NoWarnings: it also adds an extra test, but runs this test
before done_testing calculates the test count, rather than after.
It does this by hooking into done_testing as well as via an END
block. You can declare a plan, or not, and things will still Just
Work.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc CONTRIBUTING Changes INSTALL LICENCE META.json META.yml MYMETA.yml README examples
%perl_vendorlib/*
%{_mandir}/man3/*

%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.31.0-2.mga9
+ Revision: 1814743
- Mageia 9 Mass Rebuild

* Sat Jul 17 2021 tv <tv> 0.31.0-1.mga9
+ Revision: 1736376
- update to 0.031

* Mon Mar 23 2020 tv <tv> 0.30.0-1.mga8
+ Revision: 1559043
- update to 0.030

* Sun Mar 15 2020 tv <tv> 0.29.0-1.mga8
+ Revision: 1556405
- update to 0.029

* Tue Feb 18 2020 umeabot <umeabot> 0.28.0-2.mga8
+ Revision: 1541252
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Sun Dec 22 2019 tv <tv> 0.28.0-1.mga8
+ Revision: 1469396
- update to 0.028

* Mon Sep 30 2019 tv <tv> 0.27.0-1.mga8
+ Revision: 1448367
- update to 0.027

* Wed Sep 19 2018 umeabot <umeabot> 0.26.0-3.mga7
+ Revision: 1272014
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.26.0-2.mga6
+ Revision: 1034738
- Rebuild for perl 5.22.2

* Wed Feb 10 2016 shlomif <shlomif> 0.26.0-1.mga6
+ Revision: 953372
- update to 0.026

* Sat Jan 16 2016 shlomif <shlomif> 0.24.0-1.mga6
+ Revision: 923967
- update to 0.024

* Sat Jun 27 2015 sander85 <sander85> 0.21.0-1.mga6
+ Revision: 845865
- update to 0.021

* Wed Oct 15 2014 umeabot <umeabot> 0.16.0-3.mga5
+ Revision: 749575
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.16.0-2.mga5
+ Revision: 686576
- Mageia 5 Mass Rebuild

* Sat Jun 21 2014 sander85 <sander85> 0.16.0-1.mga5
+ Revision: 638405
- update to 0.016

* Fri Mar 14 2014 jquelin <jquelin> 0.14.0-1.mga5
+ Revision: 603737
- update to 0.014

* Thu Feb 06 2014 sander85 <sander85> 0.13.0-1.mga5
+ Revision: 584461
- update to 0.013

* Tue Oct 22 2013 umeabot <umeabot> 0.11.0-2.mga4
+ Revision: 542264
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 sander85 <sander85> 0.11.0-1.mga4
+ Revision: 497172
- update to 0.011

* Wed Sep 25 2013 sander85 <sander85> 0.10.0-1.mga4
+ Revision: 485896
- update to 0.010

* Wed Sep 11 2013 sander85 <sander85> 0.9.0-1.mga4
+ Revision: 477557
- update to 0.009

* Sun Jul 14 2013 sander85 <sander85> 0.8.0-1.mga4
+ Revision: 454318
- update to 0.008

* Wed Jul 10 2013 sander85 <sander85> 0.7.0-1.mga4
+ Revision: 452642
- update to 0.007

* Tue Jul 09 2013 sander85 <sander85> 0.6.0-1.mga4
+ Revision: 452028
- imported package perl-Test-Warnings

